#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xeec71f92, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x3169f500, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x69e22283, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x4d9eaf9a, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xff822ae2, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x3e949d5f, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0x98d5b993, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x2edb7b47, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xc2f72aff, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x63703408, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xba809db6, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x648f343c, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x96dba1a5, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x9dca62cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xde2ac119, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3a3bc5f4, "vb2_ioctl_dqbuf" },
	{ 0x6d54a4f4, "bus_unregister" },
	{ 0x3977a492, "devm_kfree" },
	{ 0xfa21225a, "_dev_err" },
	{ 0x893493f7, "vb2_ioctl_create_bufs" },
	{ 0xa5ed3868, "device_add" },
	{ 0x4c1dd2f0, "input_mt_init_slots" },
	{ 0x173a91ce, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x137d5421, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1bff500a, "vb2_buffer_done" },
	{ 0x8e601bda, "driver_unregister" },
	{ 0x4ec9dcc9, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd889817a, "video_unregister_device" },
	{ 0xa7314e42, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x56ee7cb5, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8729f0b5, "vb2_fop_mmap" },
	{ 0xc68fb1cd, "device_del" },
	{ 0x58ce3691, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xadb03713, "vb2_vmalloc_memops" },
	{ 0xb032e57e, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xa2621407, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x8c968f0a, "input_event" },
	{ 0x8d3e2a6a, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x1241a9be, "v4l2_device_register" },
	{ 0x3072a74a, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x34adf27, "devm_kasprintf" },
	{ 0x7164e47b, "sysfs_remove_group" },
	{ 0x5382679f, "serio_interrupt" },
	{ 0xd830463a, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdb1bdb83, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30616fed, "vb2_ops_wait_prepare" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf7949cf, "irq_create_mapping_affinity" },
	{ 0xe11469c9, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x95907fb7, "input_alloc_absinfo" },
	{ 0xb0a5e9bf, "vb2_fop_poll" },
	{ 0xf5701924, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0x30461838, "_dev_printk" },
	{ 0xbcf16a74, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x657c901, "driver_register" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x9cec8d19, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x6fa857d8, "vb2_ioctl_reqbufs" },
	{ 0xb56870f9, "vb2_queue_init" },
	{ 0xc956294c, "input_mt_assign_slots" },
	{ 0x2d91dd5e, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x692b4e71, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x45c31f20, "devm_kmalloc" },
	{ 0x74abc3a2, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x66466382, "dev_set_name" },
	{ 0x87d6c97c, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf463918a, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2f16f6ac, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x91bd7a49, "vb2_ops_wait_finish" },
	{ 0x99155fc5, "request_firmware" },
	{ 0xb4ec15d, "input_mt_report_slot_state" },
	{ 0xa0d884c9, "device_initialize" },
	{ 0xbc8e1bc0, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4142630, "vb2_ioctl_querybuf" },
	{ 0xb5a6848, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbc15d04, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x72b6c0fc, "dev_driver_string" },
	{ 0xa382997a, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xa730bfd6, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x666aeb02, "video_devdata" },
	{ 0x3baff294, "irq_set_chip_and_handler_name" },
	{ 0x52a15515, "put_device" },
	{ 0xcba8e16c, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb903ecb9, "handle_simple_irq" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C5593F659D7F05EDCA98660");
