#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ubi_do_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_device_info, "_gpl", "");
KSYMTAB_FUNC(ubi_get_volume_info, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_nm, "_gpl", "");
KSYMTAB_FUNC(ubi_open_volume_path, "_gpl", "");
KSYMTAB_FUNC(ubi_close_volume, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_read_sg, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_write, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_change, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_erase, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_unmap, "_gpl", "");
KSYMTAB_FUNC(ubi_leb_map, "_gpl", "");
KSYMTAB_FUNC(ubi_is_mapped, "_gpl", "");
KSYMTAB_FUNC(ubi_sync, "_gpl", "");
KSYMTAB_FUNC(ubi_flush, "_gpl", "");
KSYMTAB_FUNC(ubi_register_volume_notifier, "_gpl", "");
KSYMTAB_FUNC(ubi_unregister_volume_notifier, "_gpl", "");

SYMBOL_CRC(ubi_do_get_device_info, 0x267a780f, "_gpl");
SYMBOL_CRC(ubi_get_device_info, 0x66011ab6, "_gpl");
SYMBOL_CRC(ubi_get_volume_info, 0x1a862905, "_gpl");
SYMBOL_CRC(ubi_open_volume, 0xdcf6c43b, "_gpl");
SYMBOL_CRC(ubi_open_volume_nm, 0x022f5d22, "_gpl");
SYMBOL_CRC(ubi_open_volume_path, 0x91c0554c, "_gpl");
SYMBOL_CRC(ubi_close_volume, 0x4d21c5b2, "_gpl");
SYMBOL_CRC(ubi_leb_read, 0xfff3e708, "_gpl");
SYMBOL_CRC(ubi_leb_read_sg, 0x4756747a, "_gpl");
SYMBOL_CRC(ubi_leb_write, 0x34e4688d, "_gpl");
SYMBOL_CRC(ubi_leb_change, 0xa7683754, "_gpl");
SYMBOL_CRC(ubi_leb_erase, 0x066c9595, "_gpl");
SYMBOL_CRC(ubi_leb_unmap, 0x4e5dc669, "_gpl");
SYMBOL_CRC(ubi_leb_map, 0x8e4a3ae6, "_gpl");
SYMBOL_CRC(ubi_is_mapped, 0xce299daa, "_gpl");
SYMBOL_CRC(ubi_sync, 0x42801d20, "_gpl");
SYMBOL_CRC(ubi_flush, 0x38e10c1d, "_gpl");
SYMBOL_CRC(ubi_register_volume_notifier, 0xf5ee9ba8, "_gpl");
SYMBOL_CRC(ubi_unregister_volume_notifier, 0x85a8ee76, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47b16d63, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfb238678, "device_set_node" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xe05c4cce, "cdev_device_add" },
	{ 0x1000e51, "schedule" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52a15515, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x257d867a, "fwnode_property_read_u32_array" },
	{ 0xc6cbbc89, "capable" },
	{ 0x245b58d6, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8ebc05b5, "compat_ptr_ioctl" },
	{ 0xed12e643, "cdev_add" },
	{ 0x4224972c, "mtd_block_markbad" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4ff541d, "simple_open" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x44ca2f75, "unregister_mtd_user" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9836b3fc, "kmem_cache_free" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xfeed3c2b, "fixed_size_llseek" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8005fe0b, "put_mtd_device" },
	{ 0xdb6e22e0, "register_mtd_user" },
	{ 0xbc7d7c1d, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xdb24ed1f, "mtd_read" },
	{ 0x880e3919, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x855b29d7, "freezing_slow_path" },
	{ 0xabd44155, "device_register" },
	{ 0xfb578fc5, "memset" },
	{ 0xec68d23d, "kern_path" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x66aefd09, "misc_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3db5202, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xece784c2, "rb_first" },
	{ 0xdde8affc, "__kmem_cache_create_args" },
	{ 0x501b319b, "mtd_erase" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbe136c35, "kthread_create_on_node" },
	{ 0x29225c8b, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xac66a04f, "mtd_write" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb8716b7c, "fwnode_property_read_string" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0x999e8297, "vfree" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6ed961fe, "device_get_named_child_node" },
	{ 0x364db226, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x55cb0aca, "debugfs_create_file_full" },
	{ 0x4a34f1a, "mtd_get_device_size" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x76e929d, "seq_open" },
	{ 0x754d539c, "strlen" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2a7d3d3b, "mtd_block_isbad" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0x242d278b, "class_register" },
	{ 0x5090d060, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xd5ba4dbe, "cdev_del" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x5dd91266, "kmem_cache_destroy" },
	{ 0x760a0f4f, "yield" },
	{ 0x74bfc498, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x39138bb3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1ff2140a, "vfs_getattr" },
	{ 0xdf2c2742, "rb_last" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x66466382, "dev_set_name" },
	{ 0xeec67480, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe25bf57d, "cdev_device_del" },
	{ 0x5de0fc3f, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa0d884c9, "device_initialize" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x372e604, "seq_lseek" },
	{ 0xe97af01a, "fwnode_get_next_child_node" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x1135792b, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x7d5938d8, "get_mtd_device_nm" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x686b0cc1, "path_put" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5593c64, "get_mtd_device" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "mtd");


MODULE_INFO(srcversion, "92269666B35E181A747B9B1");
