#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mlxsw_pci_driver_register, "", "");
KSYMTAB_FUNC(mlxsw_pci_driver_unregister, "", "");

SYMBOL_CRC(mlxsw_pci_driver_register, 0xd83dfd3a, "");
SYMBOL_CRC(mlxsw_pci_driver_unregister, 0xf32ecc02, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x5cf3dd79, "mlxsw_core_bus_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4f325974, "dma_alloc_attrs" },
	{ 0x1c73a135, "napi_enable" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x10aa47af, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf5581da6, "page_pool_put_unrefed_netmem" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6c84572a, "mlxsw_core_skb_receive" },
	{ 0xcdeb3e49, "mlxsw_core_resources_query" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3a4aac1f, "pci_restore_state" },
	{ 0x60e4eb94, "page_pool_create" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0xf67fc9c6, "mlxsw_core_ptp_transmitted" },
	{ 0x30ce3d6e, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2f1d21a5, "__pskb_pull_tail" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfdc210c6, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7336dddc, "alloc_netdev_dummy" },
	{ 0x93605e7c, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x414a2445, "pci_release_regions" },
	{ 0x3e3c0d54, "page_pool_alloc_pages" },
	{ 0x7419ad2d, "napi_build_skb" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xd6aee8cc, "pci_disable_device" },
	{ 0xfd35cf5, "dma_set_mask" },
	{ 0x10affc43, "skb_add_rx_frag_netmem" },
	{ 0xf89280a3, "mlxsw_core_kvd_sizes_get" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7cf1ad36, "napi_schedule_prep" },
	{ 0xeb8560cb, "napi_consume_skb" },
	{ 0x51cd97f, "napi_disable" },
	{ 0xed06130, "mlxsw_core_res_valid" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x582e3c07, "pci_free_irq_vectors" },
	{ 0x5c73d5a4, "mlxsw_core_sdq_supports_cqe_v2" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x8854d198, "mlxsw_reg_write" },
	{ 0xc16379ab, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd7a00199, "pci_cfg_access_unlock" },
	{ 0x7d84be6f, "pci_enable_device" },
	{ 0xe5da8bcb, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8394b947, "pci_alloc_irq_vectors" },
	{ 0x286acea, "netif_napi_add_weight" },
	{ 0xa7765e88, "mlxsw_reg_query" },
	{ 0x336099d5, "dma_unmap_page_attrs" },
	{ 0xf445d840, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xa7b2440b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x53e7cc24, "page_pool_destroy" },
	{ 0xd958b359, "pci_irq_vector" },
	{ 0xcb8785c5, "__netif_napi_del" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x844ae6af, "mlxsw_core_res_get" },
	{ 0x484489a4, "mlxsw_cmd_exec" },
	{ 0x94695e3b, "pci_unregister_driver" },
	{ 0xe334bbd2, "pci_cfg_access_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfd4e59d3, "mlxsw_core_bus_device_register" },
	{ 0x72b6c0fc, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe003ec1e, "dma_map_page_attrs" },
	{ 0x79e0144b, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x76fd26a7, "__napi_schedule" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f20e93a, "dev_set_threaded" },
	{ 0x617a6f52, "__pci_reset_function_locked" },
	{ 0xb1625be6, "__dma_sync_single_for_cpu" },
	{ 0xfa21225a, "_dev_err" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "mlxsw_core");


MODULE_INFO(srcversion, "7FF019A6D3D4E4E43DCDF80");
