#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0xe0ff41b1, "");
SYMBOL_CRC(st21nfca_hci_remove, 0xda55e21c, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0x1b8ce552, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0xf2211681, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x5304e15a, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x1917580d, "");
SYMBOL_CRC(st21nfca_dep_init, 0xa908052b, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0x1b42c2af, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x7bb2af4d, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0x2dac015e, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x29b78963, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0x39f75370, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0x6d96cd66, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xd4ed213a, "");
SYMBOL_CRC(st21nfca_se_init, 0xf704f76b, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xb8884096, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0x2d23568f, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0xb76872ad, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c0429fb, "nfc_hci_free_device" },
	{ 0xda5bd7c5, "nfc_se_transaction" },
	{ 0x2bb0a342, "nfc_get_local_general_bytes" },
	{ 0x8d6a761d, "nfc_hci_register_device" },
	{ 0xd43ed7e0, "nfc_set_remote_general_bytes" },
	{ 0xfa21225a, "_dev_err" },
	{ 0xf8f025b, "skb_pull" },
	{ 0xcc00f707, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5c9f934e, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x219bf6ac, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x68d3274c, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc1c2bd5f, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48c3ea8e, "nfc_hci_allocate_device" },
	{ 0x7bf4f5fb, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73eb4cec, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xaf8c71c1, "nfc_vendor_cmd_reply" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11f7d893, "nfc_hci_set_param" },
	{ 0x4d8a98f2, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbb517407, "nfc_hci_send_event" },
	{ 0xdd1fb6bb, "nfc_hci_disconnect_all_gates" },
	{ 0xcff3e986, "nfc_hci_disconnect_gate" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe1ea8ef8, "nfc_hci_set_clientdata" },
	{ 0x45c31f20, "devm_kmalloc" },
	{ 0x86e963c3, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0xe5da8bcb, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xfe86a84a, "nfc_hci_get_param" },
	{ 0xbc72c590, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbaf0c1e8, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8aa28226, "nfc_llc_stop" },
	{ 0x7070d2ad, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd87c14bd, "nfc_tm_data_received" },
	{ 0xffdd0272, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb16765d9, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0xedae6920, "__alloc_skb" },
	{ 0xe5eb8038, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "5EBB7B3E4FC40AA7D0FC977");
