#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x68bbce38, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x7e174df2, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x3bc80b1b, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x4fecb591, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xcfb399c2, "_gpl");
SYMBOL_CRC(br_forward, 0xbd0c5660, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x9cfe7c57, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x600ef95f, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0xbfd60537, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x35cbd887, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xe30aa0ca, "_gpl");
SYMBOL_CRC(br_multicast_router, 0xe2ca1f82, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x91ca326d, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x2b8d14bf, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x4fcbc802, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xf25ea035, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0xef30873e, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x2155a529, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x26f208d1, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x7b569eed, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x9d23dc7c, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0xd3ea79b5, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x14be607e, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x77e943d7, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x3093079a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x131db64a, "system_long_wq" },
	{ 0x299d38ac, "kobject_create_and_add" },
	{ 0x7bf4f5fb, "skb_trim" },
	{ 0xfc0b1ada, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8f9f7b08, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7d37c1dc, "__ip_mc_inc_group" },
	{ 0xc974c1aa, "netdev_walk_all_upper_dev_rcu" },
	{ 0x72302e0d, "pv_ops" },
	{ 0x7164e47b, "sysfs_remove_group" },
	{ 0x3ba022b1, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x529853c8, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x30cc8388, "__netpoll_setup" },
	{ 0x168434cb, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x4d2a9d57, "vlan_vid_add" },
	{ 0x229df28c, "neigh_destroy" },
	{ 0xbfd106d1, "__tracepoint_br_fdb_external_learn_add" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xe6754a48, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x8fb70e99, "__SCK__tp_func_br_fdb_update" },
	{ 0x8cf9b4f8, "call_netdevice_notifiers" },
	{ 0xdb5d45c5, "is_skb_forwardable" },
	{ 0xbc9db6a5, "vlan_vid_del" },
	{ 0x32762f23, "dev_set_allmulti" },
	{ 0x8c6f178a, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x446ee656, "netdev_master_upper_dev_get" },
	{ 0xf29f9ab, "ipv6_dev_mc_inc" },
	{ 0xfe0c3b58, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfec25fe9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd30eb006, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xd4d46561, "skb_clone" },
	{ 0xc538ef6f, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xa7c233c1, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbf3462c1, "dst_release" },
	{ 0x766bfd62, "netif_carrier_on" },
	{ 0xc90e722c, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x1a632d68, "arp_tbl" },
	{ 0xb6201035, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6b59fb6d, "netdev_rx_handler_register" },
	{ 0x2a4d3a64, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc600aaec, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x9536ee1a, "dev_disable_lro" },
	{ 0xd17ddd5b, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x21612098, "dev_get_flags" },
	{ 0x78112475, "__rtnl_unregister_many" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x64ac504d, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x80488dfc, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x81de468e, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xf5c4b615, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf0987e22, "skb_ext_add" },
	{ 0xe7f27071, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x27f8bc4d, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x11103e75, "neigh_lookup" },
	{ 0x5dd91266, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x96954a44, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x96b851c8, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xc372cfcd, "netdev_lower_get_next" },
	{ 0x79dd7f0f, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xa3a7c6f8, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xa2caa792, "skb_copy_bits" },
	{ 0xc91f95c5, "__nlmsg_put" },
	{ 0x711f1c98, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5bcc7e85, "ipv6_mc_check_mld" },
	{ 0xe5da8bcb, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf051b20b, "call_switchdev_notifiers" },
	{ 0x7b079d5a, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x11f04af9, "netdev_update_features" },
	{ 0xe7b321e9, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x10274d2c, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xaba2ef56, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x99795f40, "netpoll_send_skb" },
	{ 0xc6d54f, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xc4363865, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc00c8146, "switchdev_port_obj_act_is_deferred" },
	{ 0xc00c1979, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x1f185b18, "dev_set_promiscuity" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xf8213f, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5b526f4c, "netdev_state_change" },
	{ 0xeefef71d, "__pskb_copy_fclone" },
	{ 0x79731314, "__dev_get_by_name" },
	{ 0x9c577c7f, "ether_setup" },
	{ 0x5623d710, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd1608655, "pskb_expand_head" },
	{ 0xbca4c4f2, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xc7083923, "brioctl_set" },
	{ 0x2e9097cf, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x525b82c1, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x48e76514, "alloc_netdev_mqs" },
	{ 0x8df27eb1, "passthru_features_check" },
	{ 0xb4c5e9ed, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x5c4dae93, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbd705a89, "__SCK__tp_func_br_mdb_full" },
	{ 0x9ea7516a, "rtnl_af_register" },
	{ 0x4f46a401, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0xedae6920, "__alloc_skb" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c0a0c5, "rtnl_set_sk_err" },
	{ 0x2acff76f, "skb_vlan_pop" },
	{ 0xaf8def11, "rtnl_unicast" },
	{ 0xd977473c, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf2088f8c, "ipv6_dev_get_saddr" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0xc4af3b1a, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xf1a5a1b9, "__dev_get_by_index" },
	{ 0xf81c7eb0, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf9695b55, "dev_get_port_parent_id" },
	{ 0x70cf71c4, "init_net" },
	{ 0xfcd39e91, "ipv6_stub" },
	{ 0x5846cf05, "inet_confirm_addr" },
	{ 0xf8f025b, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x3cabcf90, "sysfs_remove_link" },
	{ 0xbf8fda3e, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xa8288fed, "__SCK__tp_func_br_fdb_add" },
	{ 0xb36d9e95, "rtnl_af_unregister" },
	{ 0xcc00f707, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xb35b2d62, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9222b180, "dev_get_by_index_rcu" },
	{ 0xfcd649be, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0x5c9f934e, "skb_push" },
	{ 0x9836b3fc, "kmem_cache_free" },
	{ 0x594e532d, "br_fdb_test_addr_hook" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xc4bd17e3, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xda0bb3e5, "netdev_upper_dev_unlink" },
	{ 0x547be75e, "netif_receive_skb" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x685703c1, "llc_mac_hdr_init" },
	{ 0x83ce7338, "__rtnl_register_many" },
	{ 0x10aa47af, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x666959b, "__SCK__tp_func_fdb_delete" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4a8fa3a3, "kobject_init_and_add" },
	{ 0x78754cbd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdba17a8f, "ns_capable" },
	{ 0xdd2aec8d, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa7314e42, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x6ad49778, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xecf89912, "arp_create" },
	{ 0x17491725, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x23933676, "stp_proto_register" },
	{ 0x26e831f7, "__tracepoint_br_fdb_update" },
	{ 0xea83236a, "sysfs_rename_link_ns" },
	{ 0xe9aa6166, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3db5202, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbbe47df4, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2f1d21a5, "__pskb_pull_tail" },
	{ 0xd2ca37fa, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xc2e30927, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xefa0cdbd, "ip_mc_check_igmp" },
	{ 0x8cb9d882, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xdde8affc, "__kmem_cache_create_args" },
	{ 0x232ed31d, "switchdev_port_obj_del" },
	{ 0xb83d8953, "netdev_master_upper_dev_link" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "EE6DF9080CF99AD7262035B");
