#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0xaf0847f0, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0x9adb7399, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0xdba7326b, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x7d5a8e2e, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xd8b16b1b, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0xce22377e, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0xd3aecb16, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x417732da, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xfb4229a1, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0x04399dbc, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0xed0db8b0, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0xe804ab41, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x6a85500e, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x43fd7986, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0xf2145081, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x1ffa47a6, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x7bf1c4d2, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x78c601eb, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc6290c23, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xc8c18d11, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x4c300220, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0xd7837aea, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0x8cdede4d, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0xd60ff920, "_gpl");
SYMBOL_CRC(print_tuple, 0xc0ce55fe, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xa08308ef, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0x65539e19, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x03d79757, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0x982a21a3, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x99ae832c, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x7c3d54a7, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0x6d80292b, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0xb1dc9cf5, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0x98d4ea4d, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x4211f50c, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x4d8e5bac, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xe2aaf5d6, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0xbae6bb41, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xcb817b35, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0x8d038fb0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0x36b9ba59, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xda8210bf, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0xa781fd02, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0xd763d899, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x47fcaa08, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x239d62d9, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x5a87a271, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x1e04a979, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xbd7b53dc, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xff196258, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0xb4d021cd, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x96c4d02d, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0x8f8b8c95, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xc00094c1, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xba8fa5ec, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x1ece33aa, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x5657bef7, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x05db4465, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0x7746bc3b, "_gpl");
SYMBOL_CRC(nf_confirm, 0x99a222fa, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x9ece677c, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x79f57d55, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xca5c8a6a, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xe68acba2, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x5698df83, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xd236c84d, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0xbcc274d9, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0xb3948c83, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xb9a7d110, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0x374051aa, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0x16d7c8ec, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xcc3d434b, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x5f461062, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x8dbd8c5b, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0x4e9ebf35, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0x720dee46, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xbb1f7a6b, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x886a3e22, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0xbd7308d4, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x40b6710e, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0xab589091, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xbf890b2f, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x82d0929b, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x680d9d09, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x8f4aadca, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x3eabbc8e, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0x267a41a1, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0xc55401f1, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0x59d27547, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xffb61548, "make_kuid" },
	{ 0x6fcd1934, "nf_defrag_ipv6_disable" },
	{ 0x5dd2f4fd, "ipv6_skip_exthdr" },
	{ 0xdeb9e052, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x245b58d6, "module_put" },
	{ 0x4ec3f1b, "nf_checksum" },
	{ 0x70cf71c4, "init_net" },
	{ 0xcd037463, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcc00f707, "sk_skb_reason_drop" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9836b3fc, "kmem_cache_free" },
	{ 0xa06a6ca, "seq_putc" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x1941c000, "nf_checksum_partial" },
	{ 0xf98ac800, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4b406b0d, "nf_unregister_net_hooks" },
	{ 0x45fea117, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe9aa6166, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x45f3222d, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x3db5202, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x3206ce, "nf_log_packet" },
	{ 0x9ad52cf1, "make_kgid" },
	{ 0x42ec146e, "nf_ip_checksum" },
	{ 0xdde8affc, "__kmem_cache_create_args" },
	{ 0x141a838c, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xa041a619, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0xfeec3043, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x4be6f089, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4b0e6c9d, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbcd675ed, "param_ops_bool" },
	{ 0x13b796e8, "inet_proto_csum_replace4" },
	{ 0x364db226, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x35c4c7fd, "remove_proc_entry" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb35e8b9c, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdd4e8399, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xba84fe9d, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc2358855, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x86f6b99d, "synchronize_rcu_expedited" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x26e05075, "pskb_trim_rcsum_slow" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5dd91266, "kmem_cache_destroy" },
	{ 0xe9a1a3b2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4ab7812, "__do_once_done" },
	{ 0x74bfc498, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x2710fe7b, "nf_defrag_ipv4_disable" },
	{ 0xff9f3a33, "nf_ip6_checksum" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x917a760d, "proc_dou8vec_minmax" },
	{ 0xa2caa792, "skb_copy_bits" },
	{ 0xc8a493cd, "param_ops_uint" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa5fb0bdf, "nf_register_sockopt" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x41a20e2f, "nfct_btf_struct_access" },
	{ 0xb3e2d321, "param_set_uint" },
	{ 0xb50f6f18, "nf_defrag_ipv4_enable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x7511f63f, "nf_ct_frag6_gather" },
	{ 0x918aa31f, "get_net_ns_by_id" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8a37bee2, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf69f848, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xbca4c4f2, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x44e3aa3c, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xaaf80a72, "nf_unregister_sockopt" },
	{ 0xc213a436, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "31EB3E3A8D5CDE56ADA05B2");
