#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l41_hda_probe, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_FUNC(cs35l41_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L41");
KSYMTAB_DATA(cs35l41_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L41");

SYMBOL_CRC(cs35l41_hda_probe, 0x075f319f, "_gpl");
SYMBOL_CRC(cs35l41_hda_remove, 0xa6eeae0c, "_gpl");
SYMBOL_CRC(cs35l41_hda_pm_ops, 0x4312f4ba, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52a15515, "put_device" },
	{ 0x859decea, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x5896acf6, "fwnode_gpiod_get_index" },
	{ 0x196b734f, "device_property_read_u32_array" },
	{ 0xde2ac119, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x51085e3, "lock_system_sleep" },
	{ 0x893c5ddb, "unlock_system_sleep" },
	{ 0xd89dc815, "snd_ctl_boolean_mono_info" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x352285da, "devm_acpi_dev_add_driver_gpios" },
	{ 0x3977a492, "devm_kfree" },
	{ 0xfa21225a, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea8a1e20, "cs_dsp_halo_init" },
	{ 0x7bf17146, "cs_dsp_power_down" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x263764d, "device_link_remove" },
	{ 0x6f5d443d, "cs35l41_test_key_unlock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xb9c460c, "cs35l41_test_key_lock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa4f8cf1a, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xb032e57e, "_dev_warn" },
	{ 0x712bd890, "acpi_get_first_physical_node" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49f8ed27, "cs_dsp_power_up" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x71aded29, "cs35l41_otp_unpack" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34adf27, "devm_kasprintf" },
	{ 0x266493d5, "devm_regmap_add_irq_chip" },
	{ 0x5b9d0ce5, "cs35l41_exit_hibernate" },
	{ 0x1d6be0e3, "spi_setup" },
	{ 0x67edf6c7, "regmap_read" },
	{ 0x193ef775, "cs_dsp_run" },
	{ 0xa4f6ea63, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x501ea4f9, "cs_amp_write_cal_coeffs" },
	{ 0xc7cc18c7, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xbcd675ed, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0xa2b44147, "cs35l41_write_fs_errata" },
	{ 0xffab98e4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf2c2f3c, "cs35l41_configure_cs_dsp" },
	{ 0x5f7c9941, "_dev_crit" },
	{ 0xaac241dc, "regmap_update_bits_base" },
	{ 0x857694a4, "dev_err_probe" },
	{ 0xfab6303e, "regmap_multi_reg_write" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xb2bbaec3, "__pm_runtime_suspend" },
	{ 0xffb9aec0, "component_add" },
	{ 0xfbe5cb5d, "__pm_runtime_use_autosuspend" },
	{ 0x61d26cda, "cs35l41_set_channels" },
	{ 0xe51fa147, "__pm_runtime_disable" },
	{ 0x43a1805a, "device_link_add" },
	{ 0xac7136cf, "pm_runtime_force_suspend" },
	{ 0x2b707546, "hda_cs_dsp_fw_ids" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xa5d6f8b8, "acpi_dev_get_first_match_dev" },
	{ 0x8d0622d4, "gpiod_get_value_cansleep" },
	{ 0xca5dbdb0, "cs35l41_global_enable" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc79d176, "regcache_cache_only" },
	{ 0x50fa06c4, "is_acpi_device_node" },
	{ 0x76696653, "gpiod_put" },
	{ 0x27d505c2, "regcache_sync" },
	{ 0xf12cfb76, "regmap_write" },
	{ 0x692b4e71, "devm_request_threaded_irq" },
	{ 0x45c31f20, "devm_kmalloc" },
	{ 0x8c49c9af, "cs_amp_get_efi_calibration_data" },
	{ 0x9cf10c5b, "firmware_request_nowarn" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x99c0038, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xbeafc956, "gpiod_count" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb781ad8e, "cs_dsp_stop" },
	{ 0x638c207f, "pm_runtime_set_autosuspend_delay" },
	{ 0x7198651b, "cs35l41_register_errata_patch" },
	{ 0x8e04d670, "gpiod_set_value_cansleep" },
	{ 0x96848186, "scnprintf" },
	{ 0xb4b53c53, "gpiod_get_index" },
	{ 0x5eed524a, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xbdeb58e6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4e4afe25, "cs35l41_init_boost" },
	{ 0xff19973d, "cs35l41_enter_hibernate" },
	{ 0x1135792b, "get_device" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf84f86c, "hda_cs_dsp_read_ctl" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x36df971d, "__pm_runtime_set_status" },
	{ 0x3aa84b9f, "snd_ctl_new1" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "snd,cs_dsp,snd-soc-cs35l41-lib,snd-soc-cs-amp-lib,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "7444454CDD49410427AEE82");
