#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x0cd768b0, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x31470a83, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0x5b885951, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec7ca31f, "snd_ctl_remove" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x60d82946, "cs35l56_get_calibration" },
	{ 0x36df971d, "__pm_runtime_set_status" },
	{ 0x3aa84b9f, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x859decea, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x196b734f, "device_property_read_u32_array" },
	{ 0xde2ac119, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x668b55e6, "cs35l56_init_cs_dsp" },
	{ 0xfa21225a, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xea8a1e20, "cs_dsp_halo_init" },
	{ 0x7bf17146, "cs_dsp_power_down" },
	{ 0xd4bc8a6a, "debugfs_remove" },
	{ 0xe7bf6907, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa4f8cf1a, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xf92ead9f, "cs35l56_mbox_send" },
	{ 0x6c4572c2, "cs35l56_hw_init" },
	{ 0xb032e57e, "_dev_warn" },
	{ 0x40395bd2, "cs35l56_read_prot_status" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x49f8ed27, "cs_dsp_power_up" },
	{ 0xfa4492d3, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xb9181083, "cs35l56_wait_for_firmware_boot" },
	{ 0x34adf27, "devm_kasprintf" },
	{ 0x7b97cfe, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xe29c038, "cs35l56_is_fw_reload_needed" },
	{ 0x67edf6c7, "regmap_read" },
	{ 0x193ef775, "cs_dsp_run" },
	{ 0xa4f6ea63, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x501ea4f9, "cs_amp_write_cal_coeffs" },
	{ 0xffab98e4, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9c1d2a07, "cs35l56_runtime_resume_common" },
	{ 0xaac241dc, "regmap_update_bits_base" },
	{ 0x857694a4, "dev_err_probe" },
	{ 0xfab6303e, "regmap_multi_reg_write" },
	{ 0xb2bbaec3, "__pm_runtime_suspend" },
	{ 0xffb9aec0, "component_add" },
	{ 0xd254ecfb, "set_primary_fwnode" },
	{ 0xfbe5cb5d, "__pm_runtime_use_autosuspend" },
	{ 0x9d2dd1c6, "devm_gpiod_get_index_optional" },
	{ 0xe51fa147, "__pm_runtime_disable" },
	{ 0x3a9a546b, "debugfs_create_dir" },
	{ 0x8f725f91, "cs35l56_firmware_shutdown" },
	{ 0xac7136cf, "pm_runtime_force_suspend" },
	{ 0x6cca7f32, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfb09c81, "cirrus_scodec_get_speaker_id" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xa5d6f8b8, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xdc79d176, "regcache_cache_only" },
	{ 0x50fa06c4, "is_acpi_device_node" },
	{ 0x27d505c2, "regcache_sync" },
	{ 0xf12cfb76, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x9cf10c5b, "firmware_request_nowarn" },
	{ 0x99c0038, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x9075055f, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb781ad8e, "cs_dsp_stop" },
	{ 0x638c207f, "pm_runtime_set_autosuspend_delay" },
	{ 0x8e04d670, "gpiod_set_value_cansleep" },
	{ 0x5eed524a, "component_del" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xef2b8aaa, "sound_debugfs_root" },
	{ 0xbdeb58e6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa802c8e5, "cs_dsp_init_debugfs" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-soc-cs-amp-lib,snd-hda-cirrus-scodec");


MODULE_INFO(srcversion, "F1997E49FF05EA8C6A3DB94");
