#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x07b97cfe, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0xf92ead9f, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x8f725f91, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xb9181083, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xfa4492d3, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x154141bf, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x0e29c038, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0xe7bf6907, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x9c1d2a07, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x668b55e6, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0x60d82946, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x40395bd2, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x6c4572c2, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x89424bfd, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x0b3e0d53, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0xbd6b0b8c, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x72053fff, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf12cfb76, "regmap_write" },
	{ 0x692b4e71, "devm_request_threaded_irq" },
	{ 0x8c49c9af, "cs_amp_get_efi_calibration_data" },
	{ 0xa8bf0546, "regmap_raw_read" },
	{ 0xbdeb58e6, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x13f11f8b, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x92c74150, "gpiod_get_array_optional" },
	{ 0x9f38bd0c, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x196b734f, "device_property_read_u32_array" },
	{ 0xde2ac119, "_dev_info" },
	{ 0xfb17e43c, "regmap_multi_reg_write_bypassed" },
	{ 0xfa21225a, "_dev_err" },
	{ 0xabd17828, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb032e57e, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa4c2bb2a, "regmap_read_bypassed" },
	{ 0x67edf6c7, "regmap_read" },
	{ 0xa4f6ea63, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7cddb1a0, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x5f7c9941, "_dev_crit" },
	{ 0xaac241dc, "regmap_update_bits_base" },
	{ 0x857694a4, "dev_err_probe" },
	{ 0xb2bbaec3, "__pm_runtime_suspend" },
	{ 0xc6c50209, "regmap_register_patch" },
	{ 0x6cca7f32, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8d0622d4, "gpiod_get_value_cansleep" },
	{ 0xa61aa816, "spi_bus_unlock" },
	{ 0xdc79d176, "regcache_cache_only" },
	{ 0x27d505c2, "regcache_sync" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "C12BFE4C3C83D2BB249B6EF");
