#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x3460da8c, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0x9817c0b7, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x0b7da327, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0x12f45325, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfbe5cb5d, "__pm_runtime_use_autosuspend" },
	{ 0xb2bbaec3, "__pm_runtime_suspend" },
	{ 0x36df971d, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5cb45b1, "iio_trigger_unregister" },
	{ 0xda25b252, "iio_trigger_free" },
	{ 0x5add19bf, "iio_triggered_buffer_cleanup" },
	{ 0xe51fa147, "__pm_runtime_disable" },
	{ 0x51ee4142, "sensor_hub_device_close" },
	{ 0xb8d49dc5, "hid_sensor_get_usage_index" },
	{ 0xe0dd2a59, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x26df849d, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6ceb9a76, "sensor_hub_device_open" },
	{ 0xdc924726, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4e7dbe3f, "hid_sensor_set_report_latency" },
	{ 0xfcf7bd2, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0xe86c8c6, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x1c12fbcf, "iio_triggered_buffer_setup_ext" },
	{ 0x116b215a, "iio_device_id" },
	{ 0x402869d7, "__iio_trigger_alloc" },
	{ 0xe580fbdc, "iio_trigger_register" },
	{ 0x1135792b, "get_device" },
	{ 0xda7e25f5, "__module_get" },
	{ 0x638c207f, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfa21225a, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x859decea, "pm_runtime_enable" },
	{ 0xa4f6ea63, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "10020F6F33148E98120D4D0");
