#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0x76c20839, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xebf382f1, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0xac97f64d, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xd3cb3186, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xcd5653f3, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xd3af5c28, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x091ea919, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x4ec8452e, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xc78816b5, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x144699fc, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0xf835e46d, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x49fd5d62, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x68012726, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xc3142b08, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x4e4fa7e1, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0xa5b2e666, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x5c12fc8d, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x402b97a6, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x7066faed, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xa434c5b2, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xe9212fd9, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xd3e67814, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xbc7faab8, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0xe5101cc2, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x47401878, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xe529f290, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x4b60780a, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x2842a6b5, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x5f051be3, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x10966761, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x63d00b93, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0x0d49fd41, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x16c94514, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0xae742b17, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0xb40708a7, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xef894352, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xe708e9d6, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x87796ac7, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xaa1d2472, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xfd03a3b1, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x0a317492, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x4e2bba12, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x3d915a33, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x0798cddd, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb752339a, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3d5a63cb, "iscsi_host_remove" },
	{ 0x4f01a655, "pci_dev_put" },
	{ 0x8dfe6c55, "iscsi_host_free" },
	{ 0xf4a27ec9, "iscsi_host_alloc" },
	{ 0x19198bdf, "pci_dev_get" },
	{ 0x5c1cc070, "iscsi_host_add" },
	{ 0xa6852050, "scsi_host_put" },
	{ 0xcc00f707, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x130b8e86, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f150eea, "iscsi_conn_queue_xmit" },
	{ 0xbbd8c4f6, "__kfree_skb" },
	{ 0xea6e0755, "iscsi_tcp_cleanup_task" },
	{ 0xdcc035e, "cxgbi_ppm_ppod_release" },
	{ 0x22721ef0, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x6e9a6544, "iscsi_tcp_conn_setup" },
	{ 0x2784b83c, "iscsi_session_setup" },
	{ 0x8d2523df, "iscsi_tcp_r2tpool_alloc" },
	{ 0x164a1817, "iscsi_session_teardown" },
	{ 0xa3f78ab2, "iscsi_tcp_r2tpool_free" },
	{ 0xc2f5ad9c, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x30461838, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x77df38a5, "iscsi_host_get_param" },
	{ 0x228b6fe3, "iscsi_unregister_transport" },
	{ 0xd4e6c39, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xfa1d7c7e, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x40cc4632, "iscsi_register_transport" },
	{ 0x70cf71c4, "init_net" },
	{ 0x984bb6f, "ip6_route_output_flags" },
	{ 0x860e05b0, "iscsi_tcp_set_max_r2t" },
	{ 0xe777fbb2, "iscsi_set_param" },
	{ 0xedae6920, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x18f8b3ad, "cxgbi_ppm_ppods_reserve" },
	{ 0x11de78b0, "dma_map_sg_attrs" },
	{ 0x7bd8ed1c, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xaaef3a07, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x7e8a73c7, "iscsi_tcp_recv_skb" },
	{ 0x2d11736a, "iscsi_lookup_endpoint" },
	{ 0x98acf5aa, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb28f94f4, "iscsi_tcp_hdr_recv_prep" },
	{ 0xbf2b832d, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xbf3462c1, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf6e04433, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9310021b, "__folio_put" },
	{ 0x1bf8588c, "__put_devmap_managed_folio_refs" },
	{ 0x245b58d6, "module_put" },
	{ 0x9e942a70, "iscsi_destroy_endpoint" },
	{ 0xf2088f8c, "ipv6_dev_get_saddr" },
	{ 0x229df28c, "neigh_destroy" },
	{ 0xffb61548, "make_kuid" },
	{ 0xb37d575c, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xad098224, "iscsi_create_endpoint" },
	{ 0x56ad1054, "__ip_dev_find" },
	{ 0xe5da8bcb, "skb_put" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6aeb2ad3, "iscsi_itt_to_ctask" },
	{ 0xc8a493cd, "param_ops_uint" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");
