#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0xf657be5a, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x88915018, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x6094db53, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x5e2e8ce7, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0x2387119f, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xf0cd5784, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x59293b6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3d79757, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x982a21a3, "__nf_ct_expect_find" },
	{ 0xb1dc9cf5, "nf_ct_expect_alloc" },
	{ 0x98d4ea4d, "nf_ct_expect_init" },
	{ 0x4d8e5bac, "nf_ct_expect_related_report" },
	{ 0x4211f50c, "nf_ct_expect_put" },
	{ 0x60c8ed49, "__nf_ip6_route" },
	{ 0xbf3462c1, "dst_release" },
	{ 0x3056d330, "nf_ip_route" },
	{ 0x6d80292b, "nf_ct_unexpect_related" },
	{ 0xbd7b53dc, "nf_ct_helper_log" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x7bf1c4d2, "__nf_ct_refresh_acct" },
	{ 0x2f1d21a5, "__pskb_pull_tail" },
	{ 0xa2caa792, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xbf03aca0, "param_ops_int" },
	{ 0xc8a493cd, "param_ops_uint" },
	{ 0x7f385f0c, "param_array_ops" },
	{ 0xe39bd381, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96c4d02d, "nf_ct_helper_init" },
	{ 0x8f8b8c95, "nf_conntrack_helpers_register" },
	{ 0x92997ed8, "_printk" },
	{ 0xc00094c1, "nf_conntrack_helpers_unregister" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "9A2C91AA22115C3D118EE49");
