#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xbd5bfd5a, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xec606fc9, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x0e3bc885, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeefef71d, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ec5e73a, "sk_error_report" },
	{ 0x5f59e17a, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x80df9bb6, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7f0d332, "proto_unregister" },
	{ 0x9e544c48, "sock_register" },
	{ 0x9605ee2b, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xedae6920, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x3e67b77d, "const_pcpu_hot" },
	{ 0x16838ea9, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x245b58d6, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x1167abd7, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x124c2e24, "perf_trace_run_bpf_submit" },
	{ 0x70cf71c4, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcc00f707, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x577467c4, "__SCK__tp_func_sk_data_ready" },
	{ 0xbafbec2a, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x6e1462c3, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfbda1690, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5c9f934e, "skb_push" },
	{ 0x384342e9, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x3f642cb7, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x45fea117, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x910569af, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3beb309e, "sk_alloc" },
	{ 0xfaff97b1, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x40daea59, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x8cb9d882, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x719c378d, "bpf_trace_run3" },
	{ 0x680cc581, "skb_set_owner_w" },
	{ 0xd15e6ded, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x74c6fcfc, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfae2e944, "skb_recv_datagram" },
	{ 0xab79a4c9, "sock_alloc_send_pskb" },
	{ 0xdbc7e5f8, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x25d9e8b3, "_copy_from_iter" },
	{ 0x42f125a6, "sock_release" },
	{ 0x78ea8c40, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0xb9f238e8, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc1bdbdf3, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xd61dc02b, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xb5e4e09d, "kmalloc_caches" },
	{ 0xe9a1a3b2, "release_sock" },
	{ 0xdfad5bdb, "skb_free_datagram" },
	{ 0x9b74562b, "sock_queue_rcv_skb_reason" },
	{ 0xa666d078, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x74d125ad, "bpf_trace_run4" },
	{ 0xa2caa792, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xe5da8bcb, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe7b321e9, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x83d4cc4d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x6b9a1329, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x575f8286, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb3b059cb, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x8e57285c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x5cd3fbb0, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xfe2b58aa, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xda7e25f5, "__module_get" },
	{ 0xcb9cfff1, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa88e23b5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");
